{
    "$graph": [
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#add-hic-normvector-to-mcool.cwl/input_hic",
                    "inputBinding": {
                        "separate": true,
                        "position": 1
                    }
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#add-hic-normvector-to-mcool.cwl/input_mcool",
                    "inputBinding": {
                        "separate": true,
                        "position": 2
                    }
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#add-hic-normvector-to-mcool.cwl/outdir",
                    "inputBinding": {
                        "separate": true,
                        "position": 3
                    },
                    "default": "."
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "duplexa/4dn-hic:v42.1"
                }
            ],
            "arguments": [],
            "baseCommand": [
                "run-add-hicnormvector-to-mcool.sh"
            ],
            "id": "#add-hic-normvector-to-mcool.cwl",
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.outdir + '/' + '*.mcool')"
                    },
                    "id": "#add-hic-normvector-to-mcool.cwl/mcool_with_hicnorm"
                }
            ]
        },
        {
            "inputs": [
                {
                    "inputBinding": {
                        "separate": true,
                        "position": 1
                    },
                    "id": "#addfragtopairs.cwl/input_pairs",
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "inputBinding": {
                        "separate": true,
                        "position": 2
                    },
                    "id": "#addfragtopairs.cwl/restriction_file",
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "inputBinding": {
                        "separate": true,
                        "position": 3
                    },
                    "id": "#addfragtopairs.cwl/outprefix",
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "out"
                },
                {
                    "inputBinding": {
                        "separate": true,
                        "position": 0,
                        "prefix": "-0"
                    },
                    "id": "#addfragtopairs.cwl/donothing",
                    "type": [
                        "boolean"
                    ],
                    "default": false
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "duplexa/4dn-hic:v42.1"
                }
            ],
            "outputs": [
                {
                    "outputBinding": {
                        "glob": "$(inputs.outprefix + '.ff.pairs.gz')"
                    },
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".px2"
                    ],
                    "id": "#addfragtopairs.cwl/pairs_with_frags"
                }
            ],
            "class": "CommandLineTool",
            "arguments": [],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "run-addfrag2pairs.sh"
            ],
            "id": "#addfragtopairs.cwl"
        },
        {
            "baseCommand": [
                "run-cool2multirescool.sh"
            ],
            "hints": [
                {
                    "dockerPull": "duplexa/4dn-hic:v42.1",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-i",
                        "position": 1
                    },
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#cool2mcool.cwl/input_cool"
                },
                {
                    "default": 4,
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#cool2mcool.cwl/ncores",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-p",
                        "position": 2
                    }
                },
                {
                    "default": 10000000,
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#cool2mcool.cwl/chunksize",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-c",
                        "position": 4
                    }
                },
                {
                    "default": "out",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-o",
                        "position": 3
                    },
                    "id": "#cool2mcool.cwl/outprefix",
                    "type": [
                        "null",
                        "string"
                    ]
                },
                {
                    "default": false,
                    "type": [
                        "boolean"
                    ],
                    "id": "#cool2mcool.cwl/juicer_res",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-j",
                        "position": 5
                    }
                },
                {
                    "default": "",
                    "type": [
                        "string"
                    ],
                    "id": "#cool2mcool.cwl/custom_res",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-u",
                        "position": 6
                    }
                },
                {
                    "default": false,
                    "type": [
                        "boolean"
                    ],
                    "id": "#cool2mcool.cwl/no_balance",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-B",
                        "position": 7
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "class": "CommandLineTool",
            "arguments": [],
            "outputs": [
                {
                    "outputBinding": {
                        "glob": "*.multires.cool"
                    },
                    "id": "#cool2mcool.cwl/mcool",
                    "type": [
                        "null",
                        "File"
                    ]
                }
            ],
            "id": "#cool2mcool.cwl"
        },
        {
            "baseCommand": [
                "run-cooler.sh"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "separate": true,
                        "position": 1
                    },
                    "secondaryFiles": [
                        "$(self.basename + '.px2')"
                    ],
                    "id": "#cooler.cwl/pairs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "separate": true,
                        "position": 2
                    },
                    "id": "#cooler.cwl/chrsizes"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "separate": true,
                        "position": 3
                    },
                    "id": "#cooler.cwl/binsize"
                },
                {
                    "default": "out",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "separate": true,
                        "position": 5
                    },
                    "id": "#cooler.cwl/outprefix"
                },
                {
                    "default": 8,
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "separate": true,
                        "position": 4
                    },
                    "id": "#cooler.cwl/ncores"
                },
                {
                    "default": 2,
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "separate": true,
                        "position": 6
                    },
                    "id": "#cooler.cwl/max_split"
                }
            ],
            "outputs": [
                {
                    "outputBinding": {
                        "glob": "*.cool"
                    },
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#cooler.cwl/cool"
                }
            ],
            "hints": [
                {
                    "dockerPull": "duplexa/4dn-hic:v42.1",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "arguments": [],
            "class": "CommandLineTool",
            "id": "#cooler.cwl"
        },
        {
            "arguments": [],
            "outputs": [
                {
                    "id": "#extract-mcool-normvector-for-juicebox.cwl/cooler_normvector",
                    "outputBinding": {
                        "glob": "*.juicerformat.gz"
                    },
                    "type": [
                        "null",
                        "File"
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#extract-mcool-normvector-for-juicebox.cwl/mcool",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-i",
                        "position": 1
                    },
                    "type": [
                        "File"
                    ]
                },
                {
                    "id": "#extract-mcool-normvector-for-juicebox.cwl/chromsize",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-c",
                        "position": 2
                    },
                    "type": [
                        "File"
                    ]
                },
                {
                    "default": ".",
                    "id": "#extract-mcool-normvector-for-juicebox.cwl/outdir",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-d",
                        "position": 3
                    },
                    "type": [
                        "string"
                    ]
                },
                {
                    "default": "out",
                    "id": "#extract-mcool-normvector-for-juicebox.cwl/output_prefix",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-o",
                        "position": 4
                    },
                    "type": [
                        "string"
                    ]
                },
                {
                    "default": "1000,2000,5000,10000,25000,50000,100000,250000,500000,1000000,2500000,5000000,10000000",
                    "id": "#extract-mcool-normvector-for-juicebox.cwl/custom_res",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-u",
                        "position": 5
                    },
                    "type": [
                        "string"
                    ]
                }
            ],
            "baseCommand": [
                "run-mcool2hic.sh"
            ],
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "duplexa/4dn-hic:v42.1"
                }
            ],
            "id": "#extract-mcool-normvector-for-juicebox.cwl"
        },
        {
            "class": "Workflow",
            "fdn_meta": {
                "category": "merging + aggregation + normalization",
                "data_types": [
                    "Hi-C"
                ],
                "description": "This is a subworkflow of the Hi-C data analysis pipeline. It takes pairs files for all replicates of a sample, merges them and then produces multi-resolution Hi-c matrices for visualization. The pipeline produces 4 output files. 1) Replicated merged pairs file 2) Contact matrices in .hic format 3) Multiresolution mcool file and 4) normalization vector of mcool files for visualization in juicebox.",
                "name": "#main/hi-c-processing-pairs",
                "title": "Generation of multiresolution Hi-C contact matrices from a set of contact lists",
                "workflow_type": "Hi-C data analysis"
            },
            "inputs": [
                {
                    "fdn_format": "pairs",
                    "id": "#main/input_pairs",
                    "type": [
                        "null",
                        {
                            "items": "File",
                            "type": "array"
                        }
                    ]
                },
                {
                    "fdn_format": "chromsize",
                    "id": "#main/chromsizes",
                    "type": [
                        "File"
                    ]
                },
                {
                    "fdn_format": "juicer_format_restriction_site_file",
                    "id": "#main/restriction_file",
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "default": 8,
                    "id": "#main/nthreads",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": 1000,
                    "id": "#main/min_res",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": "14g",
                    "id": "#main/maxmem",
                    "type": [
                        "string"
                    ]
                },
                {
                    "default": false,
                    "id": "#main/higlass",
                    "type": [
                        "boolean"
                    ]
                },
                {
                    "default": false,
                    "id": "#main/juicer_res",
                    "type": [
                        "boolean"
                    ]
                },
                {
                    "default": "1000,2000,5000,10000,25000,50000,100000,250000,500000,1000000,2500000,5000000,10000000",
                    "id": "#main/custom_res",
                    "type": [
                        "string"
                    ]
                },
                {
                    "default": 13,
                    "id": "#main/nres",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": 10000000,
                    "id": "#main/chunksize",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": 0,
                    "id": "#main/mapqfilter_juicer",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": 2,
                    "id": "#main/max_split_cooler",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": false,
                    "id": "#main/nofrag",
                    "type": [
                        "boolean"
                    ]
                }
            ],
            "outputs": [
                {
                    "fdn_format": "pairs",
                    "fdn_output_type": "processed",
                    "fdn_secondary_file_formats": [
                        "pairs_px2"
                    ],
                    "id": "#main/merged_pairs",
                    "outputSource": "#main/merge-pairs/merged_pairs",
                    "type": [
                        "File"
                    ]
                },
                {
                    "fdn_format": "hic",
                    "fdn_output_type": "processed",
                    "id": "#main/hic",
                    "outputSource": "#main/pairs2hic/hic",
                    "type": [
                        "File"
                    ]
                },
                {
                    "fdn_format": "mcool",
                    "fdn_output_type": "processed",
                    "id": "#main/mcool",
                    "outputSource": "#main/add-hic-normvector-to-mcool/mcool_with_hicnorm",
                    "type": [
                        "File"
                    ]
                },
                {
                    "fdn_format": "normvector_juicerformat",
                    "fdn_output_type": "processed",
                    "id": "#main/cooler_normvector",
                    "outputSource": "#main/extract-mcool-normvector-for-juicebox/cooler_normvector",
                    "type": [
                        "File"
                    ]
                }
            ],
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "steps": [
                {
                    "fdn_step_meta": {
                        "analysis_step_types": [
                            "merging"
                        ],
                        "description": "Merging pair files",
                        "software_used": [
                            "pairix_0.3.3"
                        ]
                    },
                    "id": "#main/merge-pairs",
                    "in": [
                        {
                            "arg_name": "input_pairs",
                            "fdn_cardinality": "array",
                            "fdn_format": "pairs",
                            "fdn_type": "data file",
                            "id": "#main/merge-pairs/input_pairs",
                            "source": "#main/input_pairs"
                        }
                    ],
                    "out": [
                        {
                            "arg_name": "merged_pairs",
                            "fdn_cardinality": "single",
                            "fdn_format": "pairs",
                            "fdn_type": "data file",
                            "id": "#main/merge-pairs/merged_pairs"
                        }
                    ],
                    "run": "#merge-pairs.cwl"
                },
                {
                    "fdn_step_meta": {
                        "analysis_step_types": [
                            "annotation"
                        ],
                        "description": "Adding restriction enzyme site information to the pairs file",
                        "software_used": [
                            "pairix_0.3.3"
                        ]
                    },
                    "id": "#main/addfragtopairs",
                    "in": [
                        {
                            "arg_name": "input_pairs",
                            "fdn_cardinality": "single",
                            "fdn_format": "pairs",
                            "fdn_type": "data file",
                            "id": "#main/addfragtopairs/input_pairs",
                            "source": "#main/merge-pairs/merged_pairs"
                        },
                        {
                            "arg_name": "restriction_file",
                            "fdn_cardinality": "single",
                            "fdn_format": "juicer_format_restriction_site_file",
                            "fdn_type": "reference file",
                            "id": "#main/addfragtopairs/restriction_file",
                            "source": "#main/restriction_file"
                        },
                        {
                            "arg_name": "donothing",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/addfragtopairs/donothing",
                            "source": "#main/nofrag"
                        }
                    ],
                    "out": [
                        {
                            "arg_name": "pairs_with_frags",
                            "fdn_cardinality": "single",
                            "fdn_format": "pairs",
                            "fdn_type": "data file",
                            "id": "#main/addfragtopairs/pairs_with_frags"
                        }
                    ],
                    "run": "#addfragtopairs.cwl"
                },
                {
                    "fdn_step_meta": {
                        "analysis_step_types": [
                            "aggregation"
                        ],
                        "description": "Merged Pairs file is processed using Cooler",
                        "software_used": [
                            "cooler_0.7.6"
                        ]
                    },
                    "id": "#main/cooler",
                    "in": [
                        {
                            "arg_name": "pairs",
                            "fdn_cardinality": "single",
                            "fdn_format": "pairs",
                            "fdn_type": "data file",
                            "id": "#main/cooler/pairs",
                            "source": "#main/merge-pairs/merged_pairs"
                        },
                        {
                            "arg_name": "chrsizes",
                            "fdn_cardinality": "single",
                            "fdn_format": "chromsizes",
                            "fdn_type": "reference file",
                            "id": "#main/cooler/chrsizes",
                            "source": "#main/chromsizes"
                        },
                        {
                            "arg_name": "binsize",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/cooler/binsize",
                            "source": "#main/min_res"
                        },
                        {
                            "arg_name": "ncores",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/cooler/ncores",
                            "source": "#main/nthreads"
                        },
                        {
                            "arg_name": "max_split",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/cooler/max_split",
                            "source": "#main/max_split_cooler"
                        }
                    ],
                    "out": [
                        {
                            "arg_name": "cool",
                            "fdn_cardinality": "single",
                            "fdn_format": "cool",
                            "fdn_type": "data file",
                            "id": "#main/cooler/cool"
                        }
                    ],
                    "run": "#cooler.cwl"
                },
                {
                    "fdn_step_meta": {
                        "analysis_step_types": [
                            "aggregation",
                            "normalization"
                        ],
                        "description": "Merged Pairs file is processed using Juicebox",
                        "software_used": [
                            "juicer_tools_1.8.9-cuda8"
                        ]
                    },
                    "id": "#main/pairs2hic",
                    "in": [
                        {
                            "arg_name": "input_pairs",
                            "fdn_cardinality": "single",
                            "fdn_format": "pairs",
                            "fdn_type": "data file",
                            "id": "#main/pairs2hic/input_pairs",
                            "source": "#main/addfragtopairs/pairs_with_frags"
                        },
                        {
                            "arg_name": "chromsizes",
                            "fdn_cardinality": "single",
                            "fdn_format": "chromsizes",
                            "fdn_type": "reference file",
                            "id": "#main/pairs2hic/chromsizes",
                            "source": "#main/chromsizes"
                        },
                        {
                            "arg_name": "min_res",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/pairs2hic/min_res",
                            "source": "#main/min_res"
                        },
                        {
                            "arg_name": "higlass",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/pairs2hic/higlass",
                            "source": "#main/higlass"
                        },
                        {
                            "arg_name": "custom_res",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/pairs2hic/custom_res",
                            "source": "#main/custom_res"
                        },
                        {
                            "arg_name": "maxmem",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/pairs2hic/maxmem",
                            "source": "#main/maxmem"
                        },
                        {
                            "arg_name": "mapqfilter",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/pairs2hic/mapqfilter",
                            "source": "#main/mapqfilter_juicer"
                        }
                    ],
                    "out": [
                        {
                            "arg_name": "hic",
                            "id": "#main/pairs2hic/hic"
                        }
                    ],
                    "run": "#pairs2hic.cwl"
                },
                {
                    "fdn_step_meta": {
                        "analysis_step_types": [
                            "aggregation",
                            "normalization",
                            "file format conversion"
                        ],
                        "description": "Cooler file is converted to mcool",
                        "software_used": [
                            "cooler_0.7.6"
                        ]
                    },
                    "id": "#main/cool2mcool",
                    "in": [
                        {
                            "arg_name": "input_cool",
                            "fdn_cardinality": "single",
                            "fdn_format": "cool",
                            "fdn_type": "data file",
                            "id": "#main/cool2mcool/input_cool",
                            "source": "#main/cooler/cool"
                        },
                        {
                            "arg_name": "ncores",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/cool2mcool/ncores",
                            "source": "#main/nthreads"
                        },
                        {
                            "arg_name": "chunksize",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/cool2mcool/chunksize",
                            "source": "#main/chunksize"
                        },
                        {
                            "arg_name": "juicer_res",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/cool2mcool/juicer_res",
                            "source": "#main/juicer_res"
                        },
                        {
                            "arg_name": "custom_res",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/cool2mcool/custom_res",
                            "source": "#main/custom_res"
                        }
                    ],
                    "out": [
                        {
                            "arg_name": "mcool",
                            "fdn_cardinality": "single",
                            "fdn_format": "mcool",
                            "fdn_type": "data file",
                            "id": "#main/cool2mcool/mcool"
                        }
                    ],
                    "run": "#cool2mcool.cwl"
                },
                {
                    "fdn_step_meta": {
                        "analysis_step_types": [
                            "file format conversion"
                        ],
                        "description": "HiC normalization vector is added to mcooler",
                        "software_used": [
                            "hic2cool_0.4.1"
                        ]
                    },
                    "id": "#main/add-hic-normvector-to-mcool",
                    "in": [
                        {
                            "arg_name": "input_mcool",
                            "fdn_cardinality": "single",
                            "fdn_format": "mcool",
                            "fdn_type": "data file",
                            "id": "#main/add-hic-normvector-to-mcool/input_mcool",
                            "source": "#main/cool2mcool/mcool"
                        },
                        {
                            "arg_name": "input_hic",
                            "fdn_cardinality": "single",
                            "fdn_format": "hic",
                            "fdn_type": "data file",
                            "id": "#main/add-hic-normvector-to-mcool/input_hic",
                            "source": "#main/pairs2hic/hic"
                        }
                    ],
                    "out": [
                        {
                            "arg_name": "mcool_with_hicnorm",
                            "fdn_cardinality": "single",
                            "fdn_format": "mcool",
                            "fdn_type": "data file",
                            "id": "#main/add-hic-normvector-to-mcool/mcool_with_hicnorm"
                        }
                    ],
                    "run": "#add-hic-normvector-to-mcool.cwl"
                },
                {
                    "fdn_step_meta": {
                        "analysis_step_types": [
                            "file format conversion"
                        ],
                        "description": "Extracting HiC normalization vector",
                        "software_used": [
                            "mcool2hic_87a912"
                        ]
                    },
                    "id": "#main/extract-mcool-normvector-for-juicebox",
                    "in": [
                        {
                            "arg_name": "custom_res",
                            "fdn_cardinality": "single",
                            "fdn_type": "parameter",
                            "id": "#main/extract-mcool-normvector-for-juicebox/custom_res",
                            "source": "#main/custom_res"
                        },
                        {
                            "arg_name": "chromsize",
                            "fdn_cardinality": "single",
                            "fdn_format": "chromsizes",
                            "fdn_type": "reference file",
                            "id": "#main/extract-mcool-normvector-for-juicebox/chromsize",
                            "source": "#main/chromsizes"
                        },
                        {
                            "arg_name": "mcool",
                            "fdn_cardinality": "single",
                            "fdn_format": "mcool",
                            "fdn_type": "data file",
                            "id": "#main/extract-mcool-normvector-for-juicebox/mcool",
                            "source": "#main/add-hic-normvector-to-mcool/mcool_with_hicnorm"
                        }
                    ],
                    "out": [
                        {
                            "arg_name": "cooler_normvector",
                            "fdn_cardinality": "single",
                            "fdn_format": "normvector_juicerformat",
                            "fdn_type": "data file",
                            "id": "#main/extract-mcool-normvector-for-juicebox/cooler_normvector"
                        }
                    ],
                    "run": "#extract-mcool-normvector-for-juicebox.cwl"
                }
            ],
            "id": "#main"
        },
        {
            "outputs": [
                {
                    "id": "#merge-pairs.cwl/merged_pairs",
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".px2"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.outprefix + '.pairs.gz')"
                    }
                }
            ],
            "baseCommand": [
                "run-merge-pairs.sh"
            ],
            "hints": [
                {
                    "dockerPull": "duplexa/4dn-hic:v42.1",
                    "class": "DockerRequirement"
                }
            ],
            "class": "CommandLineTool",
            "arguments": [],
            "inputs": [
                {
                    "id": "#merge-pairs.cwl/outprefix",
                    "inputBinding": {
                        "position": 1,
                        "separate": true
                    },
                    "default": "out",
                    "type": [
                        "null",
                        "string"
                    ]
                },
                {
                    "id": "#merge-pairs.cwl/input_pairs",
                    "inputBinding": {
                        "itemSeparator": " ",
                        "position": 2,
                        "separate": true
                    },
                    "type": [
                        "null",
                        {
                            "items": "File",
                            "type": "array"
                        }
                    ]
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "id": "#merge-pairs.cwl"
        },
        {
            "outputs": [
                {
                    "id": "#pairs2hic.cwl/hic",
                    "type": [
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*.hic"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "run-juicebox-pre.sh"
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "duplexa/4dn-hic:v42.1"
                }
            ],
            "inputs": [
                {
                    "inputBinding": {
                        "position": 1,
                        "separate": true,
                        "prefix": "-i"
                    },
                    "id": "#pairs2hic.cwl/input_pairs",
                    "type": [
                        "File"
                    ]
                },
                {
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-c",
                        "separate": true
                    },
                    "id": "#pairs2hic.cwl/chromsizes",
                    "type": [
                        "File"
                    ]
                },
                {
                    "default": "out",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-o",
                        "separate": true
                    },
                    "id": "#pairs2hic.cwl/output_prefix",
                    "type": [
                        "string"
                    ]
                },
                {
                    "default": 5000,
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-r",
                        "separate": true
                    },
                    "id": "#pairs2hic.cwl/min_res",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": false,
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-g",
                        "separate": true
                    },
                    "id": "#pairs2hic.cwl/higlass",
                    "type": [
                        "boolean"
                    ]
                },
                {
                    "default": "14g",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "-m",
                        "separate": true
                    },
                    "id": "#pairs2hic.cwl/maxmem",
                    "type": [
                        "string"
                    ]
                },
                {
                    "default": 0,
                    "inputBinding": {
                        "position": 7,
                        "prefix": "-q",
                        "separate": true
                    },
                    "id": "#pairs2hic.cwl/mapqfilter",
                    "type": [
                        "int"
                    ]
                },
                {
                    "default": "",
                    "inputBinding": {
                        "position": 8,
                        "prefix": "-u",
                        "separate": true
                    },
                    "id": "#pairs2hic.cwl/custom_res",
                    "type": [
                        "string"
                    ]
                },
                {
                    "default": false,
                    "type": [
                        "boolean"
                    ],
                    "id": "#pairs2hic.cwl/no_balance",
                    "inputBinding": {
                        "separate": true,
                        "prefix": "-B",
                        "position": 9
                    }
                }
            ],
            "class": "CommandLineTool",
            "arguments": [],
            "id": "#pairs2hic.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
